summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-libs/efivar')
-rw-r--r--sys-libs/efivar/Manifest1
-rw-r--r--sys-libs/efivar/efivar-31.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/sys-libs/efivar/Manifest b/sys-libs/efivar/Manifest
index 0980564ba97..f38056d75fd 100644
--- a/sys-libs/efivar/Manifest
+++ b/sys-libs/efivar/Manifest
@@ -2,3 +2,4 @@ DIST efivar-0.21.tar.bz2 66677 SHA256 04b9b9de9d9a1a013395400438a033daf4a4290f49
DIST efivar-0.23.tar.bz2 67558 SHA256 9ca81f56b0c9177b6536c8187c9cf5974723abcaf57cd34173500c80bff3caa4 SHA512 ff95c735425708cef0f85f1e9f8909e64651d10c303927d9e77d44fcb0a02ec90e4a364b0315cc3f5e30d77059ed2d8f43cc1efbed2db09a695ef7a6f1bb58f4 WHIRLPOOL 35207e4040041c03d105bbf7b2f7f103f1415dbc51dce9614ddba99786b6cacdf88136ab3a888551cf494c3d55685c7991c72fac1c6223255128c7c191e0318c
DIST efivar-27.tar.gz 86132 SHA256 d9457b06f234c9430aeaa6f30f7d7c786fb8ce3261a935afa8de51e2c1b4816d SHA512 354934c166b37f78a11497a4819075b13d44bf43587dc52d0a9773d77df52df2d2b553e5ff799911ab506441d0ea82825f6d1b019932e0bcfbacdd69a241bc9e WHIRLPOOL 5eae9999aa7790112beb5aa03e98ac7d380b1bf9f3fdef10ca7ffda73ee68b1a4cb1a410d0060dca1caef3734fc80d6778a90eccc80719904d5d7f9285db7ab0
DIST efivar-30.tar.gz 86395 SHA256 20709c76311f8eb8be92977b7ac008ce62501fa9f7fe885a784321540fc352f9 SHA512 ab73c2a49175e01cb4872bfb47708a71399c6f8237a02fbbbf4755fcd10efb82984baf76a83c3b3e7f5cf4183050e535cf18dff2bbfed10d9a0f5d4cf2021b32 WHIRLPOOL d0a7fe13e4359ddafb717b666b81fdecf786f8cc3a794e47a46d80064cd402780feeab5f501f9b0796d3a847b58611b7581341e0e9cb4449d86e75e6903591eb
+DIST efivar-31.tar.gz 88545 SHA256 b825680dc8b2165cd71131277f5a9cd632f9e43a84a33756543b24e7a251b9e0 SHA512 d8d1c7521f3013b85ea3868dd3a2f1faa77499a43b2e5e16599b154726e079019ed6434c30ae486bb616c6cdeeabf145a049f28d090964777e3fcd299878dcd7 WHIRLPOOL db8e9cade2ccbeb591c7d74452602fea3a630396a770f87c0cfa25ff9c96e998919671dc49b487a3577f0509810324eac4fc9071b905345604e2db658f3e3f43
diff --git a/sys-libs/efivar/efivar-31.ebuild b/sys-libs/efivar/efivar-31.ebuild
new file mode 100644
index 00000000000..3dbf6c4f5c6
--- /dev/null
+++ b/sys-libs/efivar/efivar-31.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Tools and library to manipulate EFI variables"
+HOMEPAGE="https://github.com/rhinstaller/efivar"
+SRC_URI="https://github.com/rhinstaller/efivar/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/1"
+KEYWORDS="~amd64 ~arm64 ~ia64 ~x86"
+
+RDEPEND="dev-libs/popt"
+DEPEND="${RDEPEND}
+ >=sys-kernel/linux-headers-3.18"
+
+src_prepare() {
+ default
+ sed -i -e s/-Werror// gcc.specs || die
+}
+
+src_configure() {
+ tc-export CC
+ tc-ld-disable-gold
+ export libdir="/usr/$(get_libdir)"
+ unset LIBS # Bug 562004
+}